cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexandre Dutra <alexandre.du...@datastax.com>
Subject Re: Cassandra Java Driver
Date Fri, 25 Dec 2015 15:37:41 GMT
Hi Jean,

You should use 3.0.0-beta1.

TL;DR

DataStax Java driver series 2.2.x has been discontinued in favor of series
3.x; we explained why in this mail to the Java driver mailing list
<https://groups.google.com/a/lists.datastax.com/forum/m/#!topic/java-driver-user/Vu0cD0BguMc>.
We do not advise users to use this series.

So the most recent driver version compatible with all versions of
Cassandra, including 2.2 and 3.x, is now 3.0.0-beta1, although 3.0.0-rc1
will be released very soon.

In spite of its "beta" label, version 3.0.0-beta1 has been thoroughly
tested against all versions of Cassandra and is definitely
production-ready... as long as the Cassandra version in use is also
production-ready. Note however that Cassandra 2.2 and 3.0 are quite recent
and most companies AFAICT do not consider them yet as production-ready.

Hope that helps,

Alexandre


On Tue, Dec 22, 2015 at 4:40 PM Jean Tremblay <
jean.tremblay@zen-innovations.com> wrote:

> Hi,
> Which Java Driver is suited for Cassandra 2.2.x. ?
> I see datastax 3.0.0 beta1 and datastax 2.2.0 rc3...
> Are they suited for production?
> Is there anything better?
> Thanks for your comments and replies?
> Jean
>
-- 
Alexandre Dutra
Driver & Tools Engineer @ DataStax

Mime
View raw message